summaryrefslogtreecommitdiff
path: root/test-art-target-test.sh
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2016-01-29 17:47:20 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2016-01-29 17:47:20 +0530
commit6694193ef57c768f595f58489ac820e1c8dbb484 (patch)
treec6b4479338f4dcf53367caee241e40a1ee2a275c /test-art-target-test.sh
parentaac0c2a767d2085bd8d23a71f35ee03a61ea4c77 (diff)
test-art-target-test: Add support to ignore current_failing_test
Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
Diffstat (limited to 'test-art-target-test.sh')
-rwxr-xr-xtest-art-target-test.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test-art-target-test.sh b/test-art-target-test.sh
index 3af4c38..300d011 100755
--- a/test-art-target-test.sh
+++ b/test-art-target-test.sh
@@ -212,6 +212,21 @@ ccache -s
[[ $JENKINS_MODE ]] && dmesg >> $WORKSPACE/device_log.txt
if [[ $failed -ne 0 ]]; then
+ cat build-logs-32.txt | grep -i "FAILED!" > $WORKSPACE/failed-test.txt
+ cat build-logs-64.txt | grep -i "FAILED!" >> $WORKSPACE/failed-test.txt
+ sed -i "s/.*test\///g" $WORKSPACE/failed-test.txt
+ sed -i "s/: FAILED\!//g" $WORKSPACE/failed-test.txt
+ IFS=';' read -r -a ignored_tests <<< $CURRENT_FAILING_ART_TESTS
+ for test in ${ignored_tests[@]}
+ do
+ cat $test > $WORKSPACE/ignored_tests.txt
+ done
+ while read p; do
+ if ! grep -i $p $WORKSPACE/ignored_tests.txt; then
+ actually_failed=1
+ fi
+ done < $WORKSPACE/failed-test.txt
+
echo "*********** Dumping dmesg output *************"
dmesg
echo "*********** Battery LEVEL *****************"